package com.example.application.data.bean;

import com.example.application.data.entity.Player;

public class PlayerForTable {
    private Player player;

    private Integer matchPoints;

    private Integer amountOfMatches;
    private Integer amountOfMatchesWon;
    private Integer amountOfMatchesDrawn;
    private Integer amountOfMatchesLost;

    private Double gamePointsForSelf;
    private Double gamePointsForOpponents;
    private Double gamePointDiff;

    private Integer place;
    private Integer placeDiffToLastMatchday;

    public PlayerForTable(Player player,
                          Integer matchPoints,
                          Integer amountOfMatches,
                          Integer amountOfMatchesWon,
                          Integer amountOfMatchesDrawn,
                          Integer amountOfMatchesLost,
                          Double gamePointsForSelf,
                          Double gamePointsForOpponents,
                          Double gamePointDiff) {
        this.player = player;
        this.matchPoints = matchPoints;
        this.amountOfMatches = amountOfMatches;
        this.amountOfMatchesWon = amountOfMatchesWon;
        this.amountOfMatchesDrawn = amountOfMatchesDrawn;
        this.amountOfMatchesLost = amountOfMatchesLost;
        this.gamePointsForSelf = gamePointsForSelf;
        this.gamePointsForOpponents = gamePointsForOpponents;
        this.gamePointDiff = gamePointDiff;
    }

    public Player getPlayer() {
        return player;
    }

    public void setPlayer(Player player) {
        this.player = player;
    }

    public Integer getMatchPoints() {
        return matchPoints;
    }

    public void setMatchPoints(Integer matchPoints) {
        this.matchPoints = matchPoints;
    }

    public Integer getAmountOfMatches() {
        return amountOfMatches;
    }

    public void setAmountOfMatches(Integer amountOfMatches) {
        this.amountOfMatches = amountOfMatches;
    }

    public Integer getAmountOfMatchesWon() {
        return amountOfMatchesWon;
    }

    public void setAmountOfMatchesWon(Integer amountOfMatchesWon) {
        this.amountOfMatchesWon = amountOfMatchesWon;
    }

    public Integer getAmountOfMatchesDrawn() {
        return amountOfMatchesDrawn;
    }

    public void setAmountOfMatchesDrawn(Integer amountOfMatchesDrawn) {
        this.amountOfMatchesDrawn = amountOfMatchesDrawn;
    }

    public Integer getAmountOfMatchesLost() {
        return amountOfMatchesLost;
    }

    public void setAmountOfMatchesLost(Integer amountOfMatchesLost) {
        this.amountOfMatchesLost = amountOfMatchesLost;
    }

    public Double getGamePointsForSelf() {
        return gamePointsForSelf;
    }

    public void setGamePointsForSelf(Double gamePointsForSelf) {
        this.gamePointsForSelf = gamePointsForSelf;
    }

    public Double getGamePointsForOpponents() {
        return gamePointsForOpponents;
    }

    public void setGamePointsForOpponents(Double gamePointsForOpponents) {
        this.gamePointsForOpponents = gamePointsForOpponents;
    }

    public Double getGamePointDiff() {
        return gamePointDiff;
    }

    public void setGamePointDiff(Double gamePointDiff) {
        this.gamePointDiff = gamePointDiff;
    }

    public Integer getPlace() {
        return place;
    }

    public void setPlace(Integer place) {
        this.place = place;
    }

    public Integer getPlaceDiffToLastMatchday() {
        return placeDiffToLastMatchday;
    }

    public void setPlaceDiffToLastMatchday(Integer placeDiffToLastMatchday) {
        this.placeDiffToLastMatchday = placeDiffToLastMatchday;
    }
}
